Advisory Details

November 11th, 2020

SAP 3D Visual Enterprise Viewer HPGL File Parsing Out-Of-Bounds Write Remote Code Execution Vulnerability

ZDI-20-1364
ZDI-CAN-11866

CVE ID CVE-2020-26817
CVSS SCORE 7.8, (AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
AFFECTED VENDORS SAP
AFFECTED PRODUCTS 3D Visual Enterprise Viewer
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of SAP 3D Visual Enterprise Viewer. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the parsing of HPGL files. The issue results from the lack of proper validation of user-supplied data, which can result in a write past the end of an allocated data structure. An attacker can leverage this vulnerability to execute code in the context of the current process.

ADDITIONAL DETAILS

Fixed in version 9.0 FP09 MP4


DISCLOSURE TIMELINE
  • 2020-09-23 - Vulnerability reported to vendor
  • 2020-11-11 - Coordinated public release of advisory
CREDIT rgod
BACK TO ADVISORIES